> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refunds

> List Refunds



## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/trades/{trade_id}/refunds
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/trades/{trade_id}/refunds:
    get:
      tags:
        - Refund
      summary: List Refunds
      description: List Refunds
      operationId: v1-refund-list-refund
      parameters:
        - name: trade_id
          in: path
          description: Trade ID
          required: true
          schema:
            type: string
        - name: refund_ids
          in: query
          description: Refund ID array, filter refunds whose IDs belong to this array
          schema:
            type: array
            items:
              type: string
        - name: refund_status
          in: query
          description: >-
            Refund status array, filter refunds whose status belong to this
            array

            - pending: Processing

            - failed: Refund failed

            - succeeded: Refund successful
          schema:
            type: array
            items:
              type: string
        - name: starting_after
          in: query
          description: >-
            Cursor for pagination. `starting_after` is the object ID that
            defines your position in the list. For example, if you want to get
            the next page, you can use the last object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with `ending_before`
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            Cursor for pagination. `ending_before` is the object ID that defines
            your position in the list. For example, if you want to get the
            previous page, you can use the first object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with `starting_after`
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Pagination parameter, number of items per page, default: 10,
            interface defaults to sorting by creation time in descending order.
            Limit: [1, 100]
          schema:
            type: integer
            format: int32
        - name: created_at.gt
          in: query
          description: >-
            Minimum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.gte
          in: query
          description: >-
            Minimum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lt
          in: query
          description: >-
            Maximum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lte
          in: query
          description: >-
            Maximum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRefundResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ListRefundResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ListRefundResponse_Data'
    ListRefundResponse_Data:
      type: object
      properties:
        has_more:
          type: boolean
          description: Whether there is more data
        list:
          type: array
          items:
            $ref: '#/components/schemas/Refund'
          description: Refund list
    Refund:
      type: object
      properties:
        refund_id:
          type: string
          description: Refund ID
        trade_id:
          type: string
          description: Trade ID
        currency:
          type: string
          description: >-
            Transaction currency corresponding to the amount, encoded according
            to ISO4217
        callback_url:
          type: string
          description: Webhook notification callback URL
        reason:
          type: string
          description: Refund reason
        refund_amount:
          type: string
          description: Refund amount
        refund_status:
          type: string
          description: |-
            Refund status
            - pending: Processing
            - failed: Refund failed
            - succeeded: Refund successful
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            A set of key-value pairs that can be attached to an object, allowing
            you to store additional information in a structured format.
        failure_reason:
          allOf:
            - $ref: '#/components/schemas/FailureReason'
          description: Refund failure reason
        ref_arn:
          type: string
          description: Refund credential returned by the issuing bank
        finished_at:
          type: string
          description: Refund completion time
        item_refund_amount:
          type: string
          description: Item-side refund amount (numeric string)
        tax_refund_amount:
          type: string
          description: >-
            Tax-side refund amount (numeric string); for non-taxable refunds use
            "0"
    FailureReason:
      type: object
      properties:
        code:
          type: string
          description: System returned transaction return code
        message:
          type: string
          description: System returned transaction return description
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````